Attribute VB_Name = "start_stop"
'Copyright Kinzinger Systeme GmbH 1998

'************************************************************************************
'
'  Dieses Programm dient dazu, DIAdem von Visual Basic aus zu ffnen, die Messung
'  zu starten und beim beenden die Messung stoppen und DIAdem wieder schlieen.
'  Voraussetzung ist, da ein das Schaltbild als Default beim ffnen von DIAdem schon .
'  geladen wurde.
'  Beim beenden der Visual-Basic-Oberflche wird die Messung gestoppt. Dafr mu eine
'  Flanke von 0->10 ber einen HYDRA-VB-Block zu DIAdem geschickt werden. Durch eine
'  eine bestimmte Anordnung von DIAdem-Taktblcken und eines Triggerblockes wird die
'  Messung gestoppt.
'  Alle ausfhrenden Befehle sind mit "AppActivate" realisiert. Damit wird einfach
'  die entsprechende Tastenkombinationen in DIAdem von Visual Basic aus simuliert.
'  Um mit "AppActivate" das DIAdem-Fenster anzuwhlen, sondern zuerst der Focus auf
'  ein anderes Fenster gesetzt werden. Das wird in diesem Programm mit dem Befehl
'  SetActiveWindow().
'
'  Beim erstmaligen Starten dieses VB-Beispieles sind die Pfade fr DIAdem und DAC-
'  Schaltbild noch korrekt einzutragen. Das geschieht in der Funktion
'  f_Init_Dateipfade().
'
'************************************************************************************

Public DIADEM_PFAD As String
Public DAC_PFAD As String
Public Zeit1 As Single
Public Zeit2 As Single
Public Zeit3 As Single
Public Zeit4 As Single

'Pfade von Diadem und Schaltbild
Public Sub f_Init_Dateipfade()
  DIADEM_PFAD = "d:\diadem\diadem.exe"
  'DAC_PFAD = "h:\temp\stefan\dauer95\bsp2.dac"
  DAC_PFAD = "h:\projekt\vb_hydra\schulung\opendia2\bsp2.dac"
  Header.Text1.Text = DIADEM_PFAD
  Header.Text2.Text = DAC_PFAD
  Header.Text1.Locked = True
  Header.Text2.Locked = True
End Sub

'Messung stoppen
Public Sub f_StopMessung()
  Dim data_to_digis As S_DATA_TO_DIGIS
  Dim ret As Integer
  Dim value(1) As Single
  Const ID_STOP = 1
  
  Header!Label4.Caption = "Messung stoppen"
  
  value(0) = 0
  value(1) = 10
  
  data_to_digis.channel_count = 1
  data_to_digis.data_per_channel = 2
  data_to_digis.last_block = 1
  data_to_digis.id_number = ID_STOP

  ret = send_data_to_digis(1, data_to_digis, value(0))
End Sub

'DAC-Plan anwhlen
Public Sub f_AnwahlDAC()
  SetActiveWindow (Header.hWnd)
  Header!Label4.Caption = "DAC-Plan anwhlen"
  AppActivate "DIAdem", True
  SendKeys "%", True
  SendKeys "F", True
  SendKeys "A", True
End Sub

'Messung starten
Public Sub f_MessungStart()
  SetActiveWindow (Header.hWnd)
  Header!Label4.Caption = "DIAdem Messung starten"
  AppActivate "DIAdem", True
  SendKeys "%", True
  SendKeys "M", True
  SendKeys "O", True 'Mglich auch: SendKeys "M", True
End Sub

'Diadem schlieen
Public Sub f_CloseDIAdem()
  Header!Label4.Caption = "DIAdem schlieen"
  AppActivate "DIAdem", True
  SendKeys "%", True
  SendKeys "D", True
  SendKeys "B", True
End Sub

